/**
 * Theme Name: Neoxica
 * Description: Child theme
 * Author: Lembu
 * Template: blocksy
 * Text Domain: blocksy
 */
/* Custom CSS starts here */
@font-face {
	font-family: 'Roboto Variable';
	font-style: inherit;
	font-display: block;
	font-weight: 100 1000;
	src: url('fonts/RobotoFlex.woff2') format('woff2-variations'),
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}
@font-face {
  font-family: 'Domine Variable';
  font-style: normal;
  font-display: block;
  font-weight: 400 700;
  src: url('fonts/domine_5.2.8.woff2') format('woff2-variations');
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}

body{
	font-synthesis: none;
	text-rendering: auto;
}
body .elementor-heading-title,
body h1,
body h2,
body h3,
body h4,
body h5,
body h6,
.elementor-button-text,
nav[class*=menu] .ct-menu-link,
a.ct-button{
	font-family: 'Domine Variable';
    line-height: var(--theme-line-height);
}
/*
.single .gallery-columns-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1em;
}
.single .gallery-columns-3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1em;
}
.single .gallery-columns-4 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 1em;
}
figure, body .entry-content .wp-caption {
    width: 100%;
    max-width: 100%;
    margin-bottom: 25px;
}
figure.gallery-item {
    margin-bottom: 20px;
}
*/
.pretitle p,
p.pretitle{
	letter-spacing: 0.3em;
	text-transform: uppercase;
	font-weight: 500;
	margin:0;
}
.elementor-heading-title span {
    color: var(--e-global-color-blocksy_palette_1);
}
.cf-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    margin-bottom: 20px;
}
body .wpcf7 label:not(.wpcf7-form-control-wrap) {
    font-size: 16px;
    font-weight: 400;
}
/*
 * CONTACT FORM 7 STYLING ERROR MESSAGE 
 */
.wpcf7 .wpcf7-form-control.wpcf7-text.wpcf7-not-valid,
.wpcf7 .wpcf7-not-valid {
	border: 1px solid #ff0000;
}
.wpcf7 .wpcf7-not-valid-tip {
	display: none;
}
.wpcf7 .wpcf7-validation-errors {
	background: #ff0000;
	border: 1px solid #ff0000;
	color: #ffffff;
	text-align: center;
}
.wpcf7 .wpcf7-response-output {
	margin: 2em 0;
	padding: 15px;
	border-radius: 0px;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
    text-align: center;
}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
    border: none;
    background: red;
    color: #fff;
    border-radius: 0;
    font-style: normal;
    margin: 20px 0;
}
.wpcf7 .wpcf7-spam-blocked {
	background: #e2e2e2;
	border: 1px solid #ff0000;
	color: #383838;
}
.wpcf7 .wpcf7-mail-sent-ng {
	background: #fcf8e3;
	border: 3px solid #ac9163 ;
	color: #8a6d3b;
}
.wpcf7 .wpcf7-mail-sent-ok {
	background: #dff0d8;
	border: 3px solid #3c763d;
	color: #3c763d;
}
input.wpcf7-form-control.wpcf7-submit.has-spinner.center {
    margin: 0 auto;
    display: block;
    float: none;
	font-family: 'Domine Variable';
}
.wpcf7-turnstile.cf-turnstile {
    text-align: center;
}
div.wpcf7 .wpcf7-spinner {
    display: block;
    vertical-align: middle;
    float: none; /* Ensures spinner doesn't pull button left */
    margin: 10px auto; /* Adjusts spacing to button */
}
/**********************************************
 *************FOR MOBILE VIEW******************
 *********************************************/
@media only screen and (max-width: 767px) {
	.cf-grid{
    grid-template-columns: 1fr;
  }
	/*
	.error404 #main {
        min-height: 50vh;
	}
	.single .gallery-columns-2,
	.single .gallery-columns-3,
	.single .gallery-columns-4{
		grid-template-columns: 1fr;
	}
	*/
}